diff -urN straw-0.19.2.orig/glade/straw.glade straw-0.19.2a/glade/straw.glade
--- straw-0.19.2.orig/glade/straw.glade	2003-08-17 00:43:23.000000000 +0200
+++ straw-0.19.2a/glade/straw.glade	2003-10-14 22:06:09.000000000 +0200
@@ -493,6 +493,16 @@
 		  <signal name="clicked" handler="on_toolbar_find_button_clicked" last_modification_time="Fri, 20 Sep 2002 08:00:14 GMT"/>
 		</widget>
 	      </child>
+
+	      <child>
+		<widget class="button" id="toolbar_catchup_button">
+		  <property name="visible">True</property>
+		  <property name="tooltip" translatable="yes">Catch Up Feed</property>
+		  <property name="label">gtk-close</property>
+		  <property name="use_stock">True</property>
+		  <signal name="clicked" handler="on_toolbar_catchup_button_clicked" last_modification_time="Fri, 20 Sep 2002 08:00:14 GMT"/>
+		</widget>
+	      </child>
 	    </widget>
 	  </child>
 	</widget>
diff -urN straw-0.19.2.orig/src/lib/MainWindow.py straw-0.19.2a/src/lib/MainWindow.py
--- straw-0.19.2.orig/src/lib/MainWindow.py	2003-10-14 19:48:38.000000000 +0200
+++ straw-0.19.2a/src/lib/MainWindow.py	2003-10-14 20:41:29.000000000 +0200
@@ -679,6 +679,9 @@
     def on_toolbar_find_button_clicked(self, button, *args):
         self.show_find_mode()
 
+    def on_toolbar_catchup_button_clicked(self, button, *args):
+        straw.main.catch_up_feed()
+
     def on_subscribe_new_feed_button_clicked(self, button, *args):
         straw.main.show_subscribe_dialog()
 
